%define rev 69574
%define ver 1.2.0
Name: edje
Version: %ver.%rev
Release: alt1

Summary: Tools to operate with edje files
License: BSD
Group: Graphical desktop/Enlightenment
URL: http://trac.enlightenment.org/e/browser/trunk/edje

Packager: Serg A. Kotlyarov <shadowsbrother@gmail.com>

Source: %name.tar

Requires: shared-mime-info lua5

#BuildPreReq: libvorbis-devel libogg-devel libalsa-devel >= 1.0.21a

# Automatically added by buildreq on Mon Feb 27 2012 (-bi)
BuildRequires: doxygen gcc-c++ glibc-devel-static libecore-devel libembryo-devel liblua5-devel libsndfile-devel python-devel
BuildRequires: fontconfig-devel libeina-devel libevas-devel glibc-pthread libeet-devel >= 1.4.0 rpm-build-gir

%description
This package provides edje compiler (edje_cc) and other binary tools to operate with edje files

%package -n %name-epp
Summary: Edje epp utility
Group: Graphical desktop/Enlightenment

%description -n %name-epp
This package contains edje utility - epp

%package -n %name-utils-other
Summary: Edje utils for inkscape
Group: Graphical desktop/Enlightenment

%description -n %name-utils-other
This package provides edje utils for non EFL applications

%package -n lib%name
Summary: edje library
Group: System/Libraries

%description -n lib%name
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains shared Edje library.

%package -n %name-multisense-factory
Summary: %name modules for sound support in edje files
Group: System/Libraries

%description -n %name-multisense-factory
This package contains %name modules for sound support in edje files

%package -n lib%name-devel
Summary: Edje headers and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains edje headers and development libraries

%package -n %name-docs
Summary: Documentation for edje
Group: Documentation
BuildArch: noarch

%description -n %name-docs
Documentation files for edje

%prep
%setup -q -n %name

%build
./autogen.sh \
--prefix=/usr \
--enable-doc \
--disable-tests \
--disable-install-examples

%make_build

%install
%make_install DESTDIR=%buildroot install
rm -f %buildroot%_libdir/*.a
rm -f %buildroot%_libdir/%name/*.a
rm -f %buildroot%_libdir/%name/modules/*/*/*.la
rm -rf %buildroot%_datadir/%name/examples
cd doc && doxygen Doxyfile

%files
%_bindir/edje_recc
%_bindir/edje_decc
%_bindir/edje_cc
%_bindir/edje_player
%_bindir/edje_inspector
%_bindir/edje_external_inspector
%_datadir/mime/packages/%name.xml

%files -n %name-epp
%_libdir/%name/utils/*

# Edje utils for non EFL apps
%files -n %name-utils-other
%_bindir/inkscape2edc

%files -n %name-multisense-factory
%_libdir/%name/modules/multisense_factory/*/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_pkgconfigdir/edje.pc
%_libdir/*.so
%_datadir/%name/include/*

%files -n %name-docs
%doc AUTHORS COPYING README doc/html doc/latex

%changelog
